<html>
<head>
    <meta charset="UTF-8">
    <title>Bootstrapping Lesson 2 || Manual Angular Bootstrap</title>

    <!-- Put Some Style Dude -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.6.1/css/bulma.min.css" />
</head>
<body class="section">

<!-- Angular Template -->
    <div ng-controller="mainController" class="notification is-primary">
        {{ message }}
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.6.5/angular.js"></script>
    <script>
        // Generate myApp Module to be explicitly defined in angular.bootstrap()
        angular.module('myApp', []).controller('mainController', ['$scope', $scope => {
            $scope.message = 'Hello World!';
        }]);

        /**
         * Manually Intialiazed angular until the DOM is ready
         */
        angular.element(document).ready(() => {
            angular.bootstrap(document, ['myApp']);
        });
    </script>
</body>
</html>
